/*
 *  Copyright (C) 2009 Daniel Bessler <danielb@kiba-dock.org>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301  USA.
 *
 *  Author : Daniel Bessler <daniel@orgizm.net>
*/

#ifndef __KIBA_GREYED_H__
#define __KIBA_GREYED_H__

#include <kiba-visual-feature.h>
#include <kiba-win.h>

G_BEGIN_DECLS

typedef struct _KibaGreyedFeature KibaGreyedFeature;
typedef struct _KibaGreyedFeatureClass KibaGreyedFeatureClass;

#define KIBA_TYPE_GREYED_FEATURE           (kiba_greyed_feature_get_type ())
#define KIBA_GREYED_FEATURE(obj)           (G_TYPE_CHECK_INSTANCE_CAST ((obj), KIBA_TYPE_GREYED_FEATURE, KibaGreyedFeature))
#define KIBA_GREYED_FEATURE_CLASS(obj)     (G_TYPE_CHECK_CLASS_CAST ((obj), KIBA_TYPE_GREYED_FEATURE,  KibaGreyedFeatureClass))
#define KIBA_IS_GREYED_FEATURE(obj)        (G_TYPE_CHECK_INSTANCE_TYPE ((obj), KIBA_TYPE_GREYED_FEATURE))
#define KIBA_IS_GREYED_FEATURE_CLASS(obj)  (G_TYPE_CHECK_CLASS_TYPE ((obj), KIBA_TYPE_GREYED_FEATURE))
#define KIBA_GREYED_FEATURE_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), KIBA_TYPE_GREYED_FEATURE, KibaGreyedFeatureClass))

#define GREYED_FEATURE_NAME "greyed"

struct _KibaGreyedFeature {
	KibaVisualFeature parent;
};

struct _KibaGreyedFeatureClass {
	KibaVisualFeatureClass parent_class;
};

KibaVisualFeature* kiba_greyed_feature_new(KibaWin *win);

G_END_DECLS

#endif
